#ifndef __ac_FIRST__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1__
#define __ac_FIRST__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1__
#define __ac_FIRST_FILE__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_inc_Puma_Token_h__

#ifndef __ac_h_
#define __ac_h_
#ifdef __cplusplus
namespace AC {
  typedef const char* Type;
  enum JPType { CALL = 32768, EXECUTION = 65536, CONSTRUCTION = 131072, DESTRUCTION = 262144 };
  enum Protection { PROT_NONE, PROT_PRIVATE, PROT_PROTECTED, PROT_PUBLIC };
  enum Specifiers { SPEC_NONE = 0x0 , SPEC_STATIC = 0x1, SPEC_MUTABLE = 0x2, SPEC_VIRTUAL = 0x4 };
  struct Action {
    void **_args; void *_result; void *_target; void *_that; void *_fptr;
    void (*_wrapper)(Action &);
    inline void trigger () { _wrapper (*this); }
  };
  struct AnyResultBuffer {};
  template <typename T> struct ResultBuffer : public AnyResultBuffer {
    struct { char _array[sizeof (T)]; } _data;
    ~ResultBuffer () { ((T&)_data).T::~T(); }
    operator T& () const { return (T&)_data; }
  };
  template <typename T, typename N> struct TL {
    typedef T type; typedef N next; enum { ARGS = next::ARGS + 1 };
  };
  struct TLE { enum { ARGS = 0 }; };
  template <typename T> struct Referred { typedef T type; };
  template <typename T> struct Referred<T &> { typedef T type; };
  template <typename TL, int I> struct Arg {
    typedef typename Arg<typename TL::next, I - 1>::Type Type;
    typedef typename Referred<Type>::type ReferredType;
  };
  template <typename TL> struct Arg<TL, 0> {
    typedef typename TL::type Type;
    typedef typename Referred<Type>::type ReferredType;
  };
  template <typename T> int ttest(...);
  template <typename T> char ttest(typename T::__TI const volatile *);
  template<typename T> struct HasTypeInfo {
    enum { RET=((sizeof(ttest<T>(0))==1)?1:0) };
  };
  template<typename T, int HAVE = HasTypeInfo<T>::RET> struct TypeInfo {
    enum { AVAILABLE = 0 };
  };
  template<typename T> struct TypeInfo<T, 1> : T::__TI {
    enum { AVAILABLE = 1 };
	 };
  template<typename T> struct RT {};
  template<typename T> RT<T> rt_deduce (const T&) { return RT<T>(); }
  struct Cnv { template<typename T> operator RT<T>() const { return RT<T>(); }};
  #define __AC_TYPEOF(expr) (1?AC::Cnv():AC::rt_deduce(expr))
  template <class Aspect, int Index>
  struct CFlow {
    static int &instance () {
      static int counter = 0;
      return counter;
    }
    CFlow () { instance ()++; }
    ~CFlow () { instance ()--; }
    static bool active () { return instance () > 0; }
  };
}
inline void * operator new (__SIZE_TYPE__, AC::AnyResultBuffer *p) { return p; }
inline void operator delete (void *, AC::AnyResultBuffer *) { } // for VC++
#endif // __cplusplus
#endif // __ac_h_
class CCExprResolve;
class CExprResolve;
class SyntaxState;
class SyntaxBuilder;
class LookAhead;
class CBuilderExtension;
class CLookAhead;
class CSemBinding;
class CCBuilderExtension;
class CCLookAhead;
class CCSemBinding;
class WinIfExists;
class WinImportHandler;
class WinMacros;
class WinAsm;
class WinDeclSpecs;
class WinMemberExplSpec;
class WinTypeKeywords;
class WinFriend;
class WinKeywords;
class ExtAC;
class ExtACBuilderCoupling;
class ExtACSyntaxCoupling;
class ExtACTree;
class ExtACKeywords;
class ExtGnu;
class ExtGnuCTree;
class ExtGnuKeywords;
class ExtCC1X;
class PragmaOnceUnitState;
class PragmaOnce;
#endif // __ac_FIRST__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1__

#line 1 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step1/inc/Puma/Token.h"
// This file is part of PUMA.
// Copyright (C) 1999-2003  The PUMA developer team.
//                                                                
// This program is free software;  you can redistribute it and/or 
// modify it under the terms of the GNU General Public License as 
// published by the Free Software Foundation; either version 2 of 
// the License, or (at your option) any later version.            
//                                                                
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of 
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
// GNU General Public License for more details.                   
//                                                                
// You should have received a copy of the GNU General Public      
// License along with this program; if not, write to the Free     
// Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
// MA  02111-1307  USA                                            

#ifndef __Token_h__
#define __Token_h__

/** \file
 *  Token abstraction. */

#include <stdlib.h>
#include "Puma/LanguageID.h"
#include "Puma/Location.h"
#include "Puma/Printable.h"
#include "Puma/ListElement.h"
#include "Puma/Array.h"
#include <assert.h>
#include "Puma/DString.h"
#include "Puma/StrCol.h"

namespace Puma {


class Unit;


/** \class Token Token.h Puma/Token.h
 *  Abstraction of a language token. A token is created by a
 *  scanner (see Puma::CScanner) as part a token chain (Puma::Unit). 
 *  It encapsulates a lexical unit of the scanned text. 
 *  
 *  The information provided about a lexical unit is 
 *  \li the token type
 *  \li the location in the scanned text
 *  \li the portion of the scanned text represented by this token
 *  \li the language of the token */
class Token : public ListElement {
#line 154 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step2/inc/Puma/Token.h"
public:
  template <typename, int = 0> struct __BYPASS_ZN4Puma5TokenE {};
  template <typename, int> friend struct __BYPASS_ZN4Puma5TokenE;
private:
#line 51 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step1/inc/Puma/Token.h"

  int _type, _real_type;

  Location _location;
  LanguageID _language;
  const char *_text;
  mutable DString _dtext;

  Array<int> *_cont_lines;
   
  enum TK_Flags {
          TK_COMMENT = (0x01 << 0),
          TK_CORE = (0x01 << 1),
          TK_MACRO_CALL = (0x01 << 2)
  };
  unsigned short _flags;

public:
  /** Special token types. */
  enum {
    /** End-of-file token. */
    ID_END_OF_FILE = -1,
    /** Unknown token type. */
    ID_UNKNOWN = -2,
    /** Error token type. */
    ID_ERROR = -3,
    /** Warning token type. */
    ID_WARNING = -4
  };

  /** Comment tokens. */ 
  static LanguageID comment_id;
  /** Preprocessor tokens. */
  static LanguageID pre_id;
  /** Compiler directives. */
  static LanguageID dir_id;
  /** C/C++ core language tokens. */
  static LanguageID cpp_id;
  /** White-spaces. */
  static LanguageID white_id;
  /** Wildcards. */
  static LanguageID wildcard_id;
  /** Keywords. */
  static LanguageID keyword_id;
  /** Left parenthesis. */
  static LanguageID open_id;
  /** Function-like macro operands. */
  static LanguageID macro_op_id;
  /** Identifiers. */
  static LanguageID identifier_id;
  /** Comma. */
  static LanguageID comma_id;
  /** Right parenthesis. */
  static LanguageID close_id;

public:
  /** Constructor.
   *  \param type The token type.
   *  \param lang The language of the token.
   *  \param text The optional token text (defaults to the empty string). */
  Token (int type = 0, LanguageID lang = LanguageID(0), const char *text = "");
  /** Copy-constructor. 
   *  \param copy The token to copy. */
  Token (const Token &copy);
  /** Destructor. Destroys the token text. */
  virtual ~Token ();

  /** Print the token text on the given stream. 
   *  \param os The output stream. */
  void print (ostream &os) const;
  /** Duplicate this token.
   *  \return The copy of this token. Has to be destroyed by the caller. */
  virtual ListElement *duplicate () { return new Token (*this); }

  /** Get the unit this token belongs to. */
  Unit* unit () const;

  /** Reset the token object.
   *  \param type The new token type.
   *  \param text The new token text.
   *  \param lang The new token language. */
  void reset (int type = 0, const char *text = 0, LanguageID lang = LanguageID(0));
  
  /** Set the location of the token (usually the line and column in a file). 
   *  \param loc The location. */
  void location (const Location &loc)      { _location = loc; }

  /** Set the continues lines appeared in this token. 
   *  \param cl The continues line array. */
  void cont_lines (Array<int> *cl)  { _cont_lines = cl; }

  /** Count the number of line breaks in the text of this token. */
  int line_breaks () const;

  /** Set the token as being a macro call. */
  void macro_call (bool is_call = true);
  
  /** Get the token text. */
  const char *text () const;

  /** Get the token text. */
  DString &dtext () const;

  /** Get the static token text. Only for keywords, operators, and so on
   *  with a constant token text. 
   *  \return The static text or NULL for tokens with dynamic text (like identifiers). */
  char *get_static_text () const;

  /** Get the static token text for the given token type. Only for keywords,
   *  operators, and so on with a constant token text.
   *  \return The static text or NULL for tokens with dynamic text (like identifiers). */
  static char *get_static_text (int token_type);

  /** Get the type of the token (see Puma::CTokens). */
  int type () const                 { return _type; }

  /** Get the location of the token (usually the line and column in a file). */
  const Location &location () const { return _location; }
   
  /** Check if the token is macro generated. */
  bool is_macro_generated () const;
  /** Check if the token is a macro call. */
  bool is_macro_call () const       { return (_flags & TK_MACRO_CALL) != 0; }
  /** Check if this is a core language token. */
  bool is_core () const;
  /** Check if the token is an identifier. */
  bool is_identifier () const;    // subset of core
  /** Check if the token is a keyword. */
  bool is_keyword () const;       // subset of identifier
  /** Check if this is a wildcard token. */
  bool is_wildcard () const;      // subset of core
  /** Check if this is a preprocessor token. */
  bool is_preprocessor () const;  // a preprocessor directive (include, etc.)
  /** Check if this is a compiler directive. */
  bool is_directive () const;     // a compiler directive (pragma, line, etc.)
  /** Check if this is a white-space token. */
  bool is_whitespace () const;
  /** Check if this is a comment. */
  bool is_comment () const;
  /** Check if this is function-like macro operand. */
  bool is_macro_op () const;
  /** Check if this is a left parenthesis. */
  bool is_open () const;          // subset of core
  /** Check if this is a comma. */
  bool is_comma () const;         // subset of core
  /** Check if this is a right parenthesis. */
  bool is_close () const;         // subset of core

  /** Own operator new reusing memory. */
  void *operator new (size_t);
  /** Own delete operator. */
  void  operator delete (void *);

private:
  int get_general_type () const;
  LanguageID language () const { return _language; }
  void is_comment_internal ();
  void is_core_internal ();

  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtGnuKeywords;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 209 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step1/inc/Puma/Token.h"
};

/** Set the token as being a macro call. */
inline void Token::macro_call (bool is_call) {
  if (is_call)
    _flags |= TK_MACRO_CALL;
  else
    _flags &= ~TK_MACRO_CALL;
}

inline void Token::is_core_internal () {
  if (_language == cpp_id || _language == wildcard_id || 
      _language == open_id || _language == comma_id || 
      _language == close_id || is_identifier ())
    _flags |= TK_CORE;
}
inline void Token::is_comment_internal () { 
  if (_language == comment_id) 
    _flags |= TK_COMMENT;
}

inline bool Token::is_core () const 
 { return (_flags & TK_CORE) != 0; }
inline bool Token::is_identifier () const 
 { return _language == identifier_id || is_keyword ();}
inline bool Token::is_keyword () const 
 { return _language == keyword_id; }
inline bool Token::is_wildcard () const 
 { return _language == wildcard_id; }
inline bool Token::is_preprocessor () const 
 { return _language == pre_id; }
inline bool Token::is_directive () const 
 { return _language == dir_id; }
inline bool Token::is_whitespace () const 
 { return _language == white_id; }
inline bool Token::is_comment () const 
 { return (_flags & TK_COMMENT) != 0; }
inline bool Token::is_macro_op () const 
 { return _language == macro_op_id; }
inline bool Token::is_open () const 
 { return _language == open_id; }
inline bool Token::is_comma () const 
 { return _language == comma_id; }
inline bool Token::is_close () const 
 { return _language == close_id; }

inline ostream &operator << (ostream &os, const Token &object) {
  object.print (os);
  return os;
}

} // namespace Puma

#endif /* __Token_h__ */

#line 407 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step2/inc/Puma/Token.h"

#ifdef __ac_FIRST_FILE__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_inc_Puma_Token_h__
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCExprResolveCC_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCExprResolveCC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCExprResolveCC_ah__
#include "Puma/CCExprResolveCC.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCExprResolveH_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCExprResolveH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCExprResolveH_ah__
#include "Puma/CCExprResolveH.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CExprResolveCC_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CExprResolveCC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CExprResolveCC_ah__
#include "Puma/CExprResolveCC.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CExprResolveH_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CExprResolveH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CExprResolveH_ah__
#include "Puma/CExprResolveH.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxState_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxState_ah__
#include "Puma/SyntaxState.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#include "Puma/ExtAC.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_LookAhead_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_LookAhead_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_LookAhead_ah__
#include "Puma/LookAhead.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CBuilderExtension_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CBuilderExtension_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CBuilderExtension_ah__
#include "Puma/CBuilderExtension.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CLookAhead_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CLookAhead_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CLookAhead_ah__
#include "Puma/CLookAhead.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CSemBinding_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CSemBinding_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CSemBinding_ah__
#include "Puma/CSemBinding.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#include "Puma/ExtAC.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderH_ah__
#include "Puma/ExtACBuilderH.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCBuilderExtension_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCBuilderExtension_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCBuilderExtension_ah__
#include "Puma/CCBuilderExtension.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderH_ah__
#include "Puma/ExtACBuilderH.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCLookAhead_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCLookAhead_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCLookAhead_ah__
#include "Puma/CCLookAhead.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCSemBinding_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_LookAhead_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_LookAhead_ah__
#include "Puma/LookAhead.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CLookAhead_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CLookAhead_ah__
#include "Puma/CLookAhead.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CSemBinding_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CSemBinding_ah__
#include "Puma/CSemBinding.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCLookAhead_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCLookAhead_ah__
#include "Puma/CCLookAhead.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCSemBinding_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCSemBinding_ah__
#include "Puma/CCSemBinding.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinAsm_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinAsm_ah__
#include "Puma/WinAsm.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinDeclSpecs_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinDeclSpecs_ah__
#include "Puma/WinDeclSpecs.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinMemberExplSpec_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinMemberExplSpec_ah__
#include "Puma/WinMemberExplSpec.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinTypeKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinTypeKeywords_ah__
#include "Puma/WinTypeKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinFriend_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinFriend_ah__
#include "Puma/WinFriend.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#include "Puma/ExtAC.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderH_ah__
#include "Puma/ExtACBuilderH.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACSyntaxH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACSyntaxH_ah__
#include "Puma/ExtACSyntaxH.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinIfExists_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinIfExists_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinIfExists_ah__
#include "Puma/WinIfExists.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinImportHandler_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinImportHandler_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinImportHandler_ah__
#include "Puma/WinImportHandler.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinMacros_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinMacros_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinMacros_ah__
#include "Puma/WinMacros.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinAsm_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinAsm_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinAsm_ah__
#include "Puma/WinAsm.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinDeclSpecs_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinDeclSpecs_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinDeclSpecs_ah__
#include "Puma/WinDeclSpecs.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinMemberExplSpec_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinMemberExplSpec_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinMemberExplSpec_ah__
#include "Puma/WinMemberExplSpec.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinTypeKeywords_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinTypeKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinTypeKeywords_ah__
#include "Puma/WinTypeKeywords.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinFriend_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinFriend_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinFriend_ah__
#include "Puma/WinFriend.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#include "Puma/ExtAC.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderH_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderH_ah__
#include "Puma/ExtACBuilderH.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderCC_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderCC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderCC_ah__
#include "Puma/ExtACBuilderCC.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACSyntaxH_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACSyntaxH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACSyntaxH_ah__
#include "Puma/ExtACSyntaxH.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACSyntaxCC_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACSyntaxCC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACSyntaxCC_ah__
#include "Puma/ExtACSyntaxCC.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCInfos_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCInfos_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCInfos_ah__
#include "Puma/ExtGnuCInfos.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemantic_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemantic_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemantic_ah__
#include "Puma/ExtGnuCSemantic.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemExpr_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemExpr_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemExpr_ah__
#include "Puma/ExtGnuCSemExpr.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemDeclSpecs_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemDeclSpecs_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemDeclSpecs_ah__
#include "Puma/ExtGnuCSemDeclSpecs.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XBuilderH_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XBuilderH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XBuilderH_ah__
#include "Puma/ExtCC1XBuilderH.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XBuilderCC_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XBuilderCC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XBuilderCC_ah__
#include "Puma/ExtCC1XBuilderCC.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSyntaxH_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSyntaxH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSyntaxH_ah__
#include "Puma/ExtCC1XSyntaxH.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSyntaxCC_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSyntaxCC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSyntaxCC_ah__
#include "Puma/ExtCC1XSyntaxCC.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSemanticH_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSemanticH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSemanticH_ah__
#include "Puma/ExtCC1XSemanticH.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSemanticCC_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSemanticCC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSemanticCC_ah__
#include "Puma/ExtCC1XSemanticCC.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnce_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnce_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnce_ah__
#include "Puma/PragmaOnce.ah"
#endif
#endif
#undef __ac_FIRST__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1__
#undef __ac_FIRST_FILE__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_inc_Puma_Token_h__
#endif // __ac_FIRST_FILE__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_inc_Puma_Token_h__
